> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/user-profile.md).

# User Profile

## GET /V2/{tenantVarCode}/userprofile

> Returns a list of user profiles for specified tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile":{"get":{"tags":["User Profile"],"summary":"Returns a list of user profiles for specified tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserProfile"}}}}}}}}},"components":{"schemas":{"UserProfile":{"type":"object","properties":{"Username":{"type":"string","description":"The email address that is used as login (read only)","nullable":true},"DateOfBirth":{"type":"string","description":"User's date of birth","format":"date-time","nullable":true},"Citizenship":{"type":"string","description":"A string with user's country","nullable":true},"Address":{"type":"string","description":"A string with user's address","nullable":true},"City":{"type":"string","description":"A string with user's city or town","nullable":true},"State":{"type":"string","description":"A string with user's state or region","nullable":true},"Country":{"type":"string","description":"A string with user's residence country","nullable":true},"PostalCode":{"type":"string","description":"A string with user's ZIP or postal code","nullable":true},"DaytimePhone":{"type":"string","description":"A string with user's daytime phone (starting with '+' and country code)","nullable":true},"EveningPhone":{"type":"string","description":"A string with user's evening phone (starting with '+' and country code)","nullable":true},"CellPhone":{"type":"string","description":"A string with user's cell phone (starting with '+' and country code)","nullable":true},"TimeZoneId":{"type":"string","description":"Time zone used to format dates and times in a portal (for list of valid time zones see Others tab). All dates are stored in UTC","nullable":true},"CultureName":{"type":"string","description":"Culture used in a portal for numbers and date formatting (for list of valid culture names see Others tab)","nullable":true},"UiLanguage":{"type":"string","description":"Language used in a portal for localization (empty value sets preferences to use browser language settings)","nullable":true},"SpeedUnits":{"type":"string","description":"A string with spped units used in a portal. Can be either kmh, mph or knots","nullable":true},"DistanceUnits":{"type":"string","description":"A string with distance units used in a portal. Can be either m or ft","nullable":true},"PositionFormat":{"type":"string","description":"A string with position format used in a portal. Can be either Decimal, DegreeMinute or Utm","nullable":true},"EmergencyContactName":{"type":"string","description":"A string with name used as first contact included in emergency email","nullable":true},"EmergencyContactAddress":{"type":"string","description":"A string with address used as first contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber":{"type":"string","description":"A string with phone number used as first contact included in emergency email","nullable":true},"EmergencyContactName2":{"type":"string","description":"A string with name used as second contact included in emergency email","nullable":true},"EmergencyContactAddress2":{"type":"string","description":"A string with address used as second contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber2":{"type":"string","description":"A string with phone number used as second contact included in emergency email","nullable":true},"EmergencyInformation":{"type":"string","description":"A string with information provided to responders in the event of an emergency","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional profile properties\r\nconfirmToast: false means hide automatically after 10 seconds, true means hide manually\r\nsoundOption: 0 play once, 1 play every minute, 2 play continuously","nullable":true}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/userprofile/{userId}

> Returns the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{userId}":{"get":{"tags":["User Profile"],"summary":"Returns the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","description":"User Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/plain":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}}}}}}}},"components":{"schemas":{"UserProfile":{"type":"object","properties":{"Username":{"type":"string","description":"The email address that is used as login (read only)","nullable":true},"DateOfBirth":{"type":"string","description":"User's date of birth","format":"date-time","nullable":true},"Citizenship":{"type":"string","description":"A string with user's country","nullable":true},"Address":{"type":"string","description":"A string with user's address","nullable":true},"City":{"type":"string","description":"A string with user's city or town","nullable":true},"State":{"type":"string","description":"A string with user's state or region","nullable":true},"Country":{"type":"string","description":"A string with user's residence country","nullable":true},"PostalCode":{"type":"string","description":"A string with user's ZIP or postal code","nullable":true},"DaytimePhone":{"type":"string","description":"A string with user's daytime phone (starting with '+' and country code)","nullable":true},"EveningPhone":{"type":"string","description":"A string with user's evening phone (starting with '+' and country code)","nullable":true},"CellPhone":{"type":"string","description":"A string with user's cell phone (starting with '+' and country code)","nullable":true},"TimeZoneId":{"type":"string","description":"Time zone used to format dates and times in a portal (for list of valid time zones see Others tab). All dates are stored in UTC","nullable":true},"CultureName":{"type":"string","description":"Culture used in a portal for numbers and date formatting (for list of valid culture names see Others tab)","nullable":true},"UiLanguage":{"type":"string","description":"Language used in a portal for localization (empty value sets preferences to use browser language settings)","nullable":true},"SpeedUnits":{"type":"string","description":"A string with spped units used in a portal. Can be either kmh, mph or knots","nullable":true},"DistanceUnits":{"type":"string","description":"A string with distance units used in a portal. Can be either m or ft","nullable":true},"PositionFormat":{"type":"string","description":"A string with position format used in a portal. Can be either Decimal, DegreeMinute or Utm","nullable":true},"EmergencyContactName":{"type":"string","description":"A string with name used as first contact included in emergency email","nullable":true},"EmergencyContactAddress":{"type":"string","description":"A string with address used as first contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber":{"type":"string","description":"A string with phone number used as first contact included in emergency email","nullable":true},"EmergencyContactName2":{"type":"string","description":"A string with name used as second contact included in emergency email","nullable":true},"EmergencyContactAddress2":{"type":"string","description":"A string with address used as second contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber2":{"type":"string","description":"A string with phone number used as second contact included in emergency email","nullable":true},"EmergencyInformation":{"type":"string","description":"A string with information provided to responders in the event of an emergency","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional profile properties\r\nconfirmToast: false means hide automatically after 10 seconds, true means hide manually\r\nsoundOption: 0 play once, 1 play every minute, 2 play continuously","nullable":true}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/userprofile/{userId}

> Updates the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{userId}":{"put":{"tags":["User Profile"],"summary":"Updates the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","description":"User Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"User Profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/plain":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"UserProfile":{"type":"object","properties":{"Username":{"type":"string","description":"The email address that is used as login (read only)","nullable":true},"DateOfBirth":{"type":"string","description":"User's date of birth","format":"date-time","nullable":true},"Citizenship":{"type":"string","description":"A string with user's country","nullable":true},"Address":{"type":"string","description":"A string with user's address","nullable":true},"City":{"type":"string","description":"A string with user's city or town","nullable":true},"State":{"type":"string","description":"A string with user's state or region","nullable":true},"Country":{"type":"string","description":"A string with user's residence country","nullable":true},"PostalCode":{"type":"string","description":"A string with user's ZIP or postal code","nullable":true},"DaytimePhone":{"type":"string","description":"A string with user's daytime phone (starting with '+' and country code)","nullable":true},"EveningPhone":{"type":"string","description":"A string with user's evening phone (starting with '+' and country code)","nullable":true},"CellPhone":{"type":"string","description":"A string with user's cell phone (starting with '+' and country code)","nullable":true},"TimeZoneId":{"type":"string","description":"Time zone used to format dates and times in a portal (for list of valid time zones see Others tab). All dates are stored in UTC","nullable":true},"CultureName":{"type":"string","description":"Culture used in a portal for numbers and date formatting (for list of valid culture names see Others tab)","nullable":true},"UiLanguage":{"type":"string","description":"Language used in a portal for localization (empty value sets preferences to use browser language settings)","nullable":true},"SpeedUnits":{"type":"string","description":"A string with spped units used in a portal. Can be either kmh, mph or knots","nullable":true},"DistanceUnits":{"type":"string","description":"A string with distance units used in a portal. Can be either m or ft","nullable":true},"PositionFormat":{"type":"string","description":"A string with position format used in a portal. Can be either Decimal, DegreeMinute or Utm","nullable":true},"EmergencyContactName":{"type":"string","description":"A string with name used as first contact included in emergency email","nullable":true},"EmergencyContactAddress":{"type":"string","description":"A string with address used as first contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber":{"type":"string","description":"A string with phone number used as first contact included in emergency email","nullable":true},"EmergencyContactName2":{"type":"string","description":"A string with name used as second contact included in emergency email","nullable":true},"EmergencyContactAddress2":{"type":"string","description":"A string with address used as second contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber2":{"type":"string","description":"A string with phone number used as second contact included in emergency email","nullable":true},"EmergencyInformation":{"type":"string","description":"A string with information provided to responders in the event of an emergency","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional profile properties\r\nconfirmToast: false means hide automatically after 10 seconds, true means hide manually\r\nsoundOption: 0 play once, 1 play every minute, 2 play continuously","nullable":true}},"additionalProperties":false}}}}
```

## PATCH /V2/{tenantVarCode}/userprofile/{userId}

> Patches the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{userId}":{"patch":{"tags":["User Profile"],"summary":"Patches the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Operation":{"type":"object","properties":{"value":{"nullable":true},"path":{"type":"string","nullable":true},"op":{"type":"string","nullable":true},"from":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/userprofile/{username}

> Returns the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{username}":{"get":{"tags":["User Profile"],"summary":"Returns the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"Username","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/plain":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}}}}}}}},"components":{"schemas":{"UserProfile":{"type":"object","properties":{"Username":{"type":"string","description":"The email address that is used as login (read only)","nullable":true},"DateOfBirth":{"type":"string","description":"User's date of birth","format":"date-time","nullable":true},"Citizenship":{"type":"string","description":"A string with user's country","nullable":true},"Address":{"type":"string","description":"A string with user's address","nullable":true},"City":{"type":"string","description":"A string with user's city or town","nullable":true},"State":{"type":"string","description":"A string with user's state or region","nullable":true},"Country":{"type":"string","description":"A string with user's residence country","nullable":true},"PostalCode":{"type":"string","description":"A string with user's ZIP or postal code","nullable":true},"DaytimePhone":{"type":"string","description":"A string with user's daytime phone (starting with '+' and country code)","nullable":true},"EveningPhone":{"type":"string","description":"A string with user's evening phone (starting with '+' and country code)","nullable":true},"CellPhone":{"type":"string","description":"A string with user's cell phone (starting with '+' and country code)","nullable":true},"TimeZoneId":{"type":"string","description":"Time zone used to format dates and times in a portal (for list of valid time zones see Others tab). All dates are stored in UTC","nullable":true},"CultureName":{"type":"string","description":"Culture used in a portal for numbers and date formatting (for list of valid culture names see Others tab)","nullable":true},"UiLanguage":{"type":"string","description":"Language used in a portal for localization (empty value sets preferences to use browser language settings)","nullable":true},"SpeedUnits":{"type":"string","description":"A string with spped units used in a portal. Can be either kmh, mph or knots","nullable":true},"DistanceUnits":{"type":"string","description":"A string with distance units used in a portal. Can be either m or ft","nullable":true},"PositionFormat":{"type":"string","description":"A string with position format used in a portal. Can be either Decimal, DegreeMinute or Utm","nullable":true},"EmergencyContactName":{"type":"string","description":"A string with name used as first contact included in emergency email","nullable":true},"EmergencyContactAddress":{"type":"string","description":"A string with address used as first contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber":{"type":"string","description":"A string with phone number used as first contact included in emergency email","nullable":true},"EmergencyContactName2":{"type":"string","description":"A string with name used as second contact included in emergency email","nullable":true},"EmergencyContactAddress2":{"type":"string","description":"A string with address used as second contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber2":{"type":"string","description":"A string with phone number used as second contact included in emergency email","nullable":true},"EmergencyInformation":{"type":"string","description":"A string with information provided to responders in the event of an emergency","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional profile properties\r\nconfirmToast: false means hide automatically after 10 seconds, true means hide manually\r\nsoundOption: 0 play once, 1 play every minute, 2 play continuously","nullable":true}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/userprofile/{username}

> Updates the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{username}":{"put":{"tags":["User Profile"],"summary":"Updates the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"Username","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"User Profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/plain":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"text/xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/UserProfile"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"UserProfile":{"type":"object","properties":{"Username":{"type":"string","description":"The email address that is used as login (read only)","nullable":true},"DateOfBirth":{"type":"string","description":"User's date of birth","format":"date-time","nullable":true},"Citizenship":{"type":"string","description":"A string with user's country","nullable":true},"Address":{"type":"string","description":"A string with user's address","nullable":true},"City":{"type":"string","description":"A string with user's city or town","nullable":true},"State":{"type":"string","description":"A string with user's state or region","nullable":true},"Country":{"type":"string","description":"A string with user's residence country","nullable":true},"PostalCode":{"type":"string","description":"A string with user's ZIP or postal code","nullable":true},"DaytimePhone":{"type":"string","description":"A string with user's daytime phone (starting with '+' and country code)","nullable":true},"EveningPhone":{"type":"string","description":"A string with user's evening phone (starting with '+' and country code)","nullable":true},"CellPhone":{"type":"string","description":"A string with user's cell phone (starting with '+' and country code)","nullable":true},"TimeZoneId":{"type":"string","description":"Time zone used to format dates and times in a portal (for list of valid time zones see Others tab). All dates are stored in UTC","nullable":true},"CultureName":{"type":"string","description":"Culture used in a portal for numbers and date formatting (for list of valid culture names see Others tab)","nullable":true},"UiLanguage":{"type":"string","description":"Language used in a portal for localization (empty value sets preferences to use browser language settings)","nullable":true},"SpeedUnits":{"type":"string","description":"A string with spped units used in a portal. Can be either kmh, mph or knots","nullable":true},"DistanceUnits":{"type":"string","description":"A string with distance units used in a portal. Can be either m or ft","nullable":true},"PositionFormat":{"type":"string","description":"A string with position format used in a portal. Can be either Decimal, DegreeMinute or Utm","nullable":true},"EmergencyContactName":{"type":"string","description":"A string with name used as first contact included in emergency email","nullable":true},"EmergencyContactAddress":{"type":"string","description":"A string with address used as first contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber":{"type":"string","description":"A string with phone number used as first contact included in emergency email","nullable":true},"EmergencyContactName2":{"type":"string","description":"A string with name used as second contact included in emergency email","nullable":true},"EmergencyContactAddress2":{"type":"string","description":"A string with address used as second contact included in emergency email","nullable":true},"EmergencyContactTelephoneNumber2":{"type":"string","description":"A string with phone number used as second contact included in emergency email","nullable":true},"EmergencyInformation":{"type":"string","description":"A string with information provided to responders in the event of an emergency","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional profile properties\r\nconfirmToast: false means hide automatically after 10 seconds, true means hide manually\r\nsoundOption: 0 play once, 1 play every minute, 2 play continuously","nullable":true}},"additionalProperties":false}}}}
```

## PATCH /V2/{tenantVarCode}/userprofile/{username}

> Patches the user's profile

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"User Profile"}],"paths":{"/V2/{tenantVarCode}/userprofile/{username}":{"patch":{"tags":["User Profile"],"summary":"Patches the user's profile","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Operation":{"type":"object","properties":{"value":{"nullable":true},"path":{"type":"string","nullable":true},"op":{"type":"string","nullable":true},"from":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```
